Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.lifecycle
Class LifecycleResourceManager

    java.lang.Object
      org.jboss.soa.esb.lifecycle.LifecycleResourceManager

    public class LifecycleResourceManager

extends java.lang.Object

Lifecycle resource manager.

Author:
  kevin

Field Summary
`static java.lang.String` | `DEFAULT_IDENTITY` The default identity used for unassociated requests.

Constructor Summary
`LifecycleResourceManager()`

Method Summary
`void` | `associateDeployment(java.lang.String deploymentName)` Associate the current thread with a specified deployment.
`void` | `cleanContextResources(java.lang.String identity)` Cleanup resources for the specific identity.
`void` | `cleanupAllResources()` Cleanup all remaining resources.
`static void` | `deactivateHook()` Deactivate the cleanup hook.
`void` | `destroyResources()` Destroy the class loader resources.
`void` | `disassociateDeployment(java.lang.String deploymentName)` Disassociate the current thread with a specified deployment.
`java.lang.String` | `getIdentity()` The the current classloader identity.
`static LifecycleResourceManager` | `getSingleton()` Get the singleton instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_IDENTITY

    public static final java.lang.String DEFAULT_IDENTITY

  The default identity used for unassociated requests.

  See Also:
    Constant Field Values

Constructor Detail

### LifecycleResourceManager

    public LifecycleResourceManager()

Method Detail

### associateDeployment

    public void associateDeployment(java.lang.String deploymentName)

  Associate the current thread with a specified deployment.

  Parameters:
    `deploymentName` - The deployment name.

### disassociateDeployment

    public void disassociateDeployment(java.lang.String deploymentName)

  Disassociate the current thread with a specified deployment.

  Parameters:
    `deploymentName` - The deployment name.

### getIdentity

    public java.lang.String getIdentity()

  The the current classloader identity.

  Returns:
    The identity or null if disassociated.

### cleanContextResources

    public void cleanContextResources(java.lang.String identity)

  Cleanup resources for the specific identity.

  Parameters:
    `identity` - The identity being cleaned.

### destroyResources

    public void destroyResources()

  Destroy the class loader resources.

### cleanupAllResources

    public void cleanupAllResources()

  Cleanup all remaining resources.

### getSingleton

    public static LifecycleResourceManager getSingleton()

  Get the singleton instance.

  Returns:
    The singleton instance.

### deactivateHook

    public static void deactivateHook()

  Deactivate the cleanup hook.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD